org.deidentifier.arx.framework.check.history

## Class MRUCacheEntryMetadata

- java.lang.Object
- - org.deidentifier.arx.framework.check.history.MRUCacheEntryMetadata

    public class MRUCacheEntryMetadata
    extends java.lang.Object

Data associated with a cache entry

Author:
  Fabian Prasser

### Field Summary

Fields
`java.lang.Object` `id` Id
`int` `level` Level
`int[]` `transformation` Transformation

### Constructor Summary

Constructors
Constructor and Description
`MRUCacheEntryMetadata(Transformation<?> transformation)` Creates a new instance

### Method Summary

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### transformation

    public final int[] transformation

Transformation<?>

#### level

    public final int level

Level

#### id

    public final java.lang.Object id

Id

### Constructor Detail

#### MRUCacheEntryMetadata

    public MRUCacheEntryMetadata(Transformation<?> transformation)

Creates a new instance

Parameters:
  `transformation` -